Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157120 - audio lags video by ~5 seconds
Summary: audio lags video by ~5 seconds
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: Maelstrom
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-07 02:43 UTC by Marco Nadal
Modified: 2014-03-17 02:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-01 19:05:23 UTC


Attachments (Terms of Use)

Description Marco Nadal 2005-05-07 02:43:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
In this game, the sound lags the video by about 5 seconds. (Clicked on "Play Game" then counted "one-hundred-and-one", "one-hundred-and-two"... until I heard the "YU!" sound)
I'm using an IBM NetVista with on-board sound and FC3 (fully updated)

I have tried

artsdsp Maelstrom
artsdsp -s -m Maelstrom 

but the delay is unaffected.


Version-Release number of selected component (if applicable):
Maelstrom-3.0.6-6

How reproducible:
Always

Steps to Reproduce:
1. Install latest version of Maelstrom for FC3
2. Start the game from commandline (# Maelstrom)

  

Actual Results:  The game displays the title screen, and five seconds later, plays the explosion sound. I click on 'P' to play the game, and again, the appropiate sound effect ("YU!") has a five second delay.

Expected Results:  Audio and Video should be synchronised

Additional info:

Comment 1 Bill Nottingham 2005-09-08 15:40:20 UTC
Does it only happen when using arts?

Comment 2 Marco Nadal 2005-09-09 11:55:15 UTC
No, if I stop arts and run it just with the ALSA driver, it still has the delay.
Perhaps this machine (Pentium III (coppermine) 868 MHz, 256 kB cache) is too
slow to play games, but I doubt that's the reason.

Comment 3 Jack Tanner 2005-12-09 22:45:06 UTC
I also get an audio delay, although it's for me it's closer to .5-1 seconds. In
addition, after extended play (an hour), I get weird audio artifacts. When
asteroids explode, it sounds like the speakers are blown (but they're fine). The
artifacts go away if I restart the game, but the delay remains.

Maelstrom-3.0.6-8 on FC4, Pentium 4 2.4Ghz w/ 512MB RAM.

Comment 4 Christian Iseli 2007-01-17 23:24:01 UTC
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)

Comment 5 Bill Nottingham 2007-03-01 19:05:23 UTC
I've tested this on FC-6 and the devel tree - I can't reproduce it. Please
reopen if this occurs on a current release.


Note You need to log in before you can comment on or make changes to this bug.